GPS Rollover Update for IFD5XX/4XX with 10.2.X or Higher

Attached is a document that contains the hyperlink and instructions for complying with the GPS Rollover Update on IFD5XX/4XX Navigators currently at 10.2.X or higher. 

If your IFD is currently at a 10.1.X or less, please contact your nearest Avidyne dealership to update your IFD5XX/4XX to 10.2.2.0A.

Installation of the GPS Rollover Update requires a logbook sign off by a Certified Repairman.

  • 218
  • 11-Apr-2019
  • 861 Views